package fr.mael.jiwigo.ui.mainframe;

import java.awt.Cursor;
import java.awt.event.MouseAdapter;

import javax.swing.JDialog;
import javax.swing.JFrame;

public class CursorSetter {

    /**
     * No constructor : static methods only.
     */
    private CursorSetter() {
    }

    public static void setWaitCursor(JFrame c) {
	c.getGlassPane().addMouseListener(new MouseAdapter() {
	});
	c.getGlassPane().setCursor(Cursor.getPredefinedCursor(Cursor.WAIT_CURSOR));
	c.getGlassPane().setVisible(true);
    }

    public static void setWaitCursor(JDialog c) {
	c.getGlassPane().addMouseListener(new MouseAdapter() {
	});
	c.getGlassPane().setCursor(Cursor.getPredefinedCursor(Cursor.WAIT_CURSOR));
	c.getGlassPane().setVisible(true);
    }

    public static void setDefaultCursor(JFrame c) {
	c.getGlassPane().addMouseListener(new MouseAdapter() {
	});
	c.getGlassPane().setCursor(Cursor.getDefaultCursor());
	c.getGlassPane().setVisible(false);
    }

    public static void setDefaultCursor(JDialog c) {
	c.getGlassPane().addMouseListener(new MouseAdapter() {
	});
	c.getGlassPane().setCursor(Cursor.getDefaultCursor());
	c.getGlassPane().setVisible(false);
    }

}